commit:     d57bc9bcb6f3521fe6ae5f9bb8d2a0b4b873f58b
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 10 05:23:55 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Apr 10 05:23:55 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d57bc9bc

dev-ruby/dalli: add 2.7.7

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-ruby/dalli/Manifest           |  1 +
 dev-ruby/dalli/dalli-2.7.7.ebuild | 46 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-ruby/dalli/Manifest b/dev-ruby/dalli/Manifest
index e39b1c6e590..0c4486e992f 100644
--- a/dev-ruby/dalli/Manifest
+++ b/dev-ruby/dalli/Manifest
@@ -1 +1,2 @@
 DIST dalli-2.7.6.tar.gz 48481 BLAKE2B 
9f83523b75d1c6fa109aba7e288e13924d8c7677c6fa38ffe5ce21dfb22f858f8a3ab8593afceed97e980e5f0172c1f8c58cc96b42f4bde31013f5ffcbb26f8b
 SHA512 
ee2270e719f6ff108654d20dfc560cdc6067808c211ae75304f5ca3f7772561b25a699fddb051e42db744bb202228bdbb904171faf5e1804f1f2bed4341bc258
+DIST dalli-2.7.7.tar.gz 51532 BLAKE2B 
a625e333130f2c9ec47a9e3aec892a8e0d5f7248b71f6c666461104e2b29d4a384dd415b00dbe70d24fdd44a3b6835fdebdeb75297d4cd6d48506d146f892d4e
 SHA512 
ed2a3f0b41451ae703060fe6197675ed6096531b91e5210a2fbded7a40a9a5717d47f5611081a488931318fd89888f00a539c67bab3dc600cea12676cab289cc

diff --git a/dev-ruby/dalli/dalli-2.7.7.ebuild 
b/dev-ruby/dalli/dalli-2.7.7.ebuild
new file mode 100644
index 00000000000..89dc2a15617
--- /dev/null
+++ b/dev-ruby/dalli/dalli-2.7.7.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_TASK_TEST="test"
+
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="History.md Performance.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A high performance pure Ruby client for accessing memcached 
servers"
+HOMEPAGE="https://github.com/petergoldstein/dalli";
+SRC_URI="https://github.com/petergoldstein/dalli/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE=""
+
+DEPEND+="${DEPEND} test? ( >=net-misc/memcached-1.4.0 )"
+
+ruby_add_bdepend "test? (
+               dev-ruby/minitest:5
+               >=dev-ruby/mocha-0.13
+               dev-ruby/rack
+               >=dev-ruby/activesupport-4.2 <dev-ruby/activesupport-5.2
+               dev-ruby/connection_pool )"
+
+all_ruby_prepare() {
+       chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+       sed -i -e '/\(appraisal\|bundler\)/ s:^:#:' Rakefile || die
+
+       sed -i -e '3igem "minitest", "~> 5.0"; gem "activesupport", "< 5.2"' \
+               -e '/bundler/ s:^:#:' test/helper.rb || die
+
+       # Drop rails dependency which is only used to display the version
+       # number, so we only need to depend on activesupport and avoid
+       # complicated circular dependencies.
+       sed -i -e '/rails/I s:^:#:' \
+               -e '14irequire "active_support"' test/helper.rb || die
+}

Reply via email to